com.tibbo.aggregate.common.util

## Class ChangeProcessor

- java.lang.Object
- - com.tibbo.aggregate.common.util.ChangeProcessor

-     public class ChangeProcessor
      extends java.lang.Object

  This class mimics the logic of org.rrd4j.core.Datasource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABSOLUTE`
    `static int` | `COUNTER`
    `static int` | `DERIVE`
    `static int` | `GAUGE`
    `static double` | `MAX_32_BIT`
    `static double` | `MAX_64_BIT`
    `static int` | `OUT_OF_RANGE_DISCARD`
    `static int` | `OUT_OF_RANGE_IGNORE`
    `static int` | `OUT_OF_RANGE_NORMALIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeProcessor(int type)`
    `ChangeProcessor(int type, int outOfRangeValuesHandling, java.lang.Double minValue, java.lang.Double maxValue)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<java.lang.Object,java.lang.String>` | `getSelectionValues()`
    `java.lang.Double` | `process(long newTime, java.lang.Double newValue)`
    `ExtendedNumber` | `processExtendedNumber(long newTime, ExtendedNumber newValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GAUGE

          public static final int GAUGE

      See Also:
        Constant Field Values

    - #### COUNTER

          public static final int COUNTER

      See Also:
        Constant Field Values

    - #### DERIVE

          public static final int DERIVE

      See Also:
        Constant Field Values

    - #### ABSOLUTE

          public static final int ABSOLUTE

      See Also:
        Constant Field Values

    - #### OUT_OF_RANGE_IGNORE

          public static final int OUT_OF_RANGE_IGNORE

      See Also:
        Constant Field Values

    - #### OUT_OF_RANGE_DISCARD

          public static final int OUT_OF_RANGE_DISCARD

      See Also:
        Constant Field Values

    - #### OUT_OF_RANGE_NORMALIZE

          public static final int OUT_OF_RANGE_NORMALIZE

      See Also:
        Constant Field Values

    - #### MAX_32_BIT

          public static final double MAX_32_BIT

    - #### MAX_64_BIT

          public static final double MAX_64_BIT

  - ### Constructor Detail

    - #### ChangeProcessor

          public ChangeProcessor(int type)

    - #### ChangeProcessor

          public ChangeProcessor(int type,
                                 int outOfRangeValuesHandling,
                                 java.lang.Double minValue,
                                 java.lang.Double maxValue)

  - ### Method Detail

    - #### getSelectionValues

          public static final java.util.Map<java.lang.Object,java.lang.String> getSelectionValues()

    - #### process

          public java.lang.Double process(long newTime,
                                          java.lang.Double newValue)

    - #### processExtendedNumber

          public ExtendedNumber processExtendedNumber(long newTime,
                                                      ExtendedNumber newValue)